TAAS - Feature #228

Customer Sale & Refund Report
07/09/2023 03:31 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 08/02/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Customer Sale & Refund Report

Description

Coding Sale & Refund Report

History

#1 - 07/09/2023 03:54 PM - Anil KV
- Subject changed from Sale & Refund Report to Customer Sale & Refund Report
- Module changed from Sale & Refund Report to Customer Sale & Refund Report

Coding Customer Sale & Refund Report

#2 - 08/02/2023 02:49 PM - Junaid M

- Assignee changed from travvise Admin to Amal Pious

#3 - 08/02/2023 07:41 PM - Amal Pious

- Status changed from New to Coding Started

- Start date changed from 07/09/2023 to 08/02/2023
- % Done changed from 0 to 40

#4 - 08/09/2023 03:03 PM - Anil KV
Solution

*GUI CHanges

—-Add Mege Checkbox like #234->Supplier Sale & Refund Report

—List Changes like #234->Supplier Sale & Refund Report

* Check DSR Sumary #222 and Details #221

1) GUI Changes

—Add Transaction Date (Default) in period

—Supplier label set title Main Supplier and add blue *
*sale.tbl_ta_mod_of_sale->dat_posting

— Status changed to Consider and default Ticked items - Sale, Void(From Refund GUI), Refund
2) Summary Data

—Remove Currency Column

—-Add No Of Sales Items, No Of Refund Items, Net Items after Net Count
-Grouping Need a empty item - Default

—add Grouping Sel item -> Services

—Calculated based on Details Data

3) Details Data

Like DSR Details

Consider service.tbl_supp_doc_no->jsn_related_data field also
Customer where (sale.tbl_mod_of_sale->fk_customer_ac_id = 1 OR sale.tbl_mod_of_sale->fk_actual_customer_ac_id
= 1)

4) SQL

Mainly focused -> service.tbl_supp_doc_no->jsn_related_data

IF CONSIDER SALE THEN
SELECT ....
FROM sale.tbl_mod_of_sale mofsm
LEFT JOIN sale.tbl_sale_master sm
ON mofsm.fk_sale_master_id = sm.pk_sale_master_id
LEFT JOIN document.tbl_documents doc
ON sm.fk_documents_id = doc.pk_documents_id
LEFT JOIN sale.tbl_mod_of_sale_supp_doc mofsd
ON mofsm.pk_mod_of_sale_id = mofsd.fk_mod_of_sale_id
LEFT JOIN service.tbl_supp_doc_no spd
ON mofsd.fk_supp_doc_no_id = spd.pk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare spdf
ON mofsd.fk_base_fare_id = spdf.pk_supp_doc_fare_id
WHERE doc.int_sys_action_id != -1
ORDER BY spd.dat_sale

IF CONSIDER REFUND or VOID(FROM REFUND GUI) THEN
UNION ALL
[REFUND]

IF CONSIDER ISSUE THEN
UNION ALL
SELECT 'Issue/Sale' AS str_type,
sudn.sin_sys_sale_side_status,
sudn.sin_sys_refund_side_status,

sudn. jsn_related_data
FROM service.tbl_supp_doc_no sudn
LEFT JOIN service.tbl_supp_doc_fare sudf
ON sudn.fk_issue_base_fare_id = sudf.pk_supp_doc_fare_id --*1
WHERE sudn.sin_sys_sale_side_status =1

IF CONSIDER CANCEL or VOID(Direct) THEN
UNION ALL
SELECT 'Cancel/Refund' AS str_type,
sudn.sin_sys_sale_side_status,
sudn.sin_sys_refund_side_status,

sudn. jsn_related_data
FROM service.tbl_supp_doc_no sudn
LEFT JOIN service.tbl_supp_doc_fare sudf
ON sudn.fk_cancel_base_fare_id = sudf.pk_supp_doc_fare_id --*2
WHERE sin_sys_refund_side_status IN (1,3) --

#5 - 09/26/2023 07:45 PM - Amal Pious
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 10/09/2023 06:13 PM - unnikannan S

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.NO DATA WHILE SEARCH WITH ISSUING STAFF
#7 - 10/10/2023 01:30 PM - Amal Pious

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 10/20/2023 06:34 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.BASE 1 QAR WISE CHANGE
#9 - 10/26/2023 02:50 PM - Amal Pious
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

1.BASE 1 QAR WISE CHANGE - fixed.

#10 - 11/14/2023 05:40 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING SAVED SALE OTHER SERVICE VOUCHER DATA FROM SUMMARY TAB (SHOWING IN DETAILS TAB)

#11 - 11/27/2023 11:20 AM - Anonymous

- Assignee changed from Amal Pious to Athul P

#12 - 12/16/2023 06:26 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 12/18/2023 02:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING DATA THAT CHOOSEN VOID FROM REFUND GUI

2.ISSUE WHILE FILTERING WITH CONSIDER VOID OPTIONS

3.MISSING SERVICE NAME OF OTHER ISSUE VOUCHER

4.ARRANGE DETAILS ON THE BASIS OF DOC NO WHILE FILTERING WITH NO GROUPING
5.ERROR WHILE CHANGING CONSIDER FILTER OPTIONS

#14 - 12/20/2023 11:13 AM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 01/02/2024 04:04 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE CHOOSING ISSUE/CANCEL DATE WISE FILTER SEARCH (42804: argument of AND must be type boolean, not type date)
#16 - 01/02/2024 04:07 PM - Athul P

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 01/15/2024 05:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW CASH SALE DOCUMENTS DATA IN CASE (IF THE FOP IS NOT AN ACT AS CLIENT ACCOUNT)

#18 - 01/17/2024 07:11 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 01/18/2024 10:53 AM - unnikannan S
TESTING DONE

#20 - 01/18/2024 10:53 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW DATA AS ON SELECTED PERIOD IN Ul

#21 - 01/18/2024 11:24 AM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 01/18/2024 02:51 PM - unnikannan S
TESTING DONE

#23 - 01/23/2024 01:17 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW ALL SAVED VOUCHERS IN NO.OF SALE ITEMS COLUMN IN LIST SHOWING AIR TICKET ONLY
2.REMOVE ALL SELECTION FROM DETAILS TAB

3.NO DATA WHILE FILTERING WITH CASH COUNTER,HOTEL NAME,CITY,REFERENCE,GDS WISE
4.SHOW CUSTOMER NAME IN LIST WHILE GROUPING FROM GRID

#24 - 01/25/2024 11:26 AM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 01/31/2024 01:10 PM - unnikannan S
TESTING DONE

#26 - 01/31/2024 01:11 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.ERROR WHILE CHOOSING PRINT

2.REMOVE ALL SELECTION FROM DETAILS TAB
3.ADD MERGE CHECK BOX IN Ul (REFFER- SUPPLIER SALE & REFUND REPORT)

#27 - 02/14/2024 01:59 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#28 - 02/19/2024 12:21 PM - unnikannan S
TESTING DONE

#29 - 02/19/2024 12:21 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

05/03/2025

4/8



- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW DATA ON THE BASIS OF CUSTOMER CHOOSEN CURRENCY
2.CLEAR DETAILS DATA WHILE CHOOSING NEW/RESET BUTTON

#30 - 02/22/2024 04:37 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#31 - 08/28/2024 05:45 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI Change

DONE -> Add Service Date in Date Dropdown

#32 - 08/30/2024 12:32 PM - Athul P
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#33 - 08/30/2024 02:44 PM - unnikannan S

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

FIXED -> 1.Duplication Of Data In List While Updating Docs

FIXED -> 2.Correct Translation Of Service Date Consider (Supplier Sale & Refund)

#34 - 09/02/2024 12:12 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 09/03/2024 04:17 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

FIXED -> 1.Showing Invalid Date Message In Case Of Selecting Current Dates
FIXED ->2.Showing Issue Data As Travel Date In Ticket List

FIXED ->3.Show Return Date Also
(Consider Supplier Sale And Refund Also)

#36 - 09/05/2024 03:37 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#37 - 09/24/2024 02:49 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Missing Data From Other Issue/Cancel Vouchers
#38 - 09/24/2024 04:26 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#39 - 09/30/2024 03:22 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#40 - 10/02/2024 11:00 AM - Anonymous
- Assignee changed from Athul P to Nithin PM

#41 - 11/29/2024 03:49 PM - Arathy PS
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

ISSUE FOUND

1. Add redirection to ticket no: and document no:

NEW CHANGES

1. Add a new tab for package vouchers.

#42 - 12/05/2024 10:27 AM - Nithin PM
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#43 - 12/28/2024 02:43 PM - Theja Ponon
- File clipboard-202412281443-mmshb.png added

- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND
Travvise Customer Sale & Refund Report
TRAVEL SOLUTION PVT LTB
= Transaction Date™ > | 28/12/2024 28/12/2024 Branch™ 3in - Consider™ Sale 1 more -
Customer® ~ CTo4 Sarat] Currency* Base1(QAR) 3 Exclude Against Sold (Parents -

¥ wy

Summary Ticket Hotel Visa Transfer Package = Other
k
T Q 2 O
# Doc Date Document... lssue Date | Voucher .. | Package Status Pax Period Sup Conf ... Fare Tax

1 28/12/2024  INV/022 28/12/2024  PG/002 Sold dsf 30/12/2024 - 30/... 100.00 0.00

#44 - 12/28/2024 05:18 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#45 - 12/30/2024 10:30 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

issue found
1)package tab items are not clear on reset

#46 - 12/30/2024 03:28 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#47 - 12/31/2024 11:39 AM - Theja Ponon
- File clipboard-202412311139-p3dy3.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

:rfaVVISe Customer Sale & Refund Report

pse Transaction Date* - | 31/12/2024 (x| 31/12/2024 (<] Branch® | pMain -
Customer= | a2 Augustin Cumengy® | Basel(QAR) v
me
Suppliar Department | coject -
nt.
ssuing Staff = CostCentsr | cojecy. -
ck
Semvice | Saject - Sub Customer (Profile) -
hort Merge
b
fInfo.
= Airline GOS | select -
Do —
ter
e Country Ciy Hotel | OTZ
tory TS
Summary Ticket Hotel Visa Transfer Package Other

# Doc Date Document ... | Issue Date Voucher No Package Status Pax Period Sup Conf No Fare

#48 - 01/01/2025 04:51 PM - Arathy PS

1. Sup Conf No not showing in the grid column.
2. Supplier charge not showing in the grid column (also refund charge).

#49 - 01/02/2025 09:46 AM - Anil KV

- Assignee changed from Nithin PM to Augustin Jose

#50 - 01/02/2025 05:50 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#51 - 01/03/2025 02:41 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#52 - 03/06/2025 11:30 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. NO: OF ITEMS IN THE SUMMARY TAB IS WRONG (Sale has AR sharing).
2. When Search using the customer used in AR sharing of a Sale no data is showing.

#53 - 03/11/2025 07:43 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#54 - 04/10/2025 04:14 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#55 - 04/10/2025 04:18 PM - Arathy PS
- File clipboard-202504101617-tvxzc.png added
- File clipboard-202504101617-wuboa.png added

ISSUE FOUND

1. Wrong no: of items and no: documents (in both doc no:

Customer Sale & Refund Report

and no: of items AR Shared doc no: and no: of item is not included)

Transaction Date™ > 10/04/2025 10/04/2025

ASLAM ANSAAR IMAN

[ coomer- cuson

Branch*

Currency” | Bage1(QAR)

vy
Summary | Ticket Hotel Visa Transfer Package ~Other
Summary List Grogping | Service v
# Service sale Refund
No Of Docs No Of items Price o Of Dacs No Of Items
1 SAQ01: Air Ticket Service 1 1 1100.00 0

- Consider”
v Exclude
Net
Price Net Count Net Items
000 1 1

DSR Summary

DocDate *~ _10/04/2025 Branch™ - Currency” | Basel(QAR) v
Customer/FOP* | cuso01 ASLAM ANSAAR IMAN Department - Consider™  5ze
Country City Hotel
Components Mode Of Payment ~ Service Region Wise Posting  Sales Flow  ALPO
B @
Mode sale Refund Net
#56 - 04/29/2025 04:34 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
